MIN_PATTERN = '.min'
JS_PATTERN = '.js'

filenames_to_delete = []

# check for min styles
puts "================"
Dir.glob('javascripts/adminlte/plugins/**/*.js') do |filename|
  basename = File.basename(filename)
  dirname = File.dirname(filename)

  # check if non min versions exists
  if basename.include? MIN_PATTERN
    max_basename = basename.gsub(MIN_PATTERN, '')
    if File.exist? File.join(dirname, max_basename)
      puts "- File has max, add to remove #{filename}"
      filenames_to_delete << filename
    end
  end
end

puts "================"
# check all non styles
Dir.glob('javascripts/adminlte/plugins/**/*') do |filename|
  next if File.directory? filename
  basename = File.basename(filename)
  unless basename.include? JS_PATTERN
    puts "- Non CSS file, add to remove #{filename}"
    filenames_to_delete << filename
  end
end

# delete files
puts "================"
filenames_to_delete.uniq!
puts "- Files to delete #{filenames_to_delete.size}"
n_deleted_files = File.delete *filenames_to_delete
puts "\t #{n_deleted_files} files deleted"
